Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

New Contributor

I get the following error when installing Solr via Ambari on HDP2.6.4 Sandbox. Any ideas?

...

2018-02-21 01:22:15,539 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2018-02-21 01:22:15,575 - Package['unzip'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-21 01:22:15,638 - Skipping installation of existing package unzip
2018-02-21 01:22:15,638 - Package['curl'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-21 01:22:15,647 - Skipping installation of existing package curl
2018-02-21 01:22:15,647 - Package['hdp-select'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-21 01:22:15,655 - Skipping installation of existing package hdp-select
2018-02-21 01:22:15,657 - The repository with version 2.6.4.0-91 for this command has been marked as resolved. It will be used to report the version of the component which was installed
2018-02-21 01:22:15,657 - Skipping stack-select on SOLR because it does not exist in the stack-select package structure.
2018-02-21 01:22:15,831 - Using hadoop conf dir: /usr/hdp/2.6.4.0-91/hadoop/conf
2018-02-21 01:22:15,832 - Package['lucidworks-hdpsearch'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-21 01:22:15,892 - Installing package lucidworks-hdpsearch ('/usr/bin/yum -d 0 -e 0 -y install lucidworks-hdpsearch')
2018-02-21 01:22:21,791 - Execution of '/usr/bin/yum -d 0 -e 0 -y install lucidworks-hdpsearch' returned 1. Error: Nothing to do
2018-02-21 01:22:21,791 - Failed to install package lucidworks-hdpsearch. Executing '/usr/bin/yum clean metadata'
2018-02-21 01:22:22,005 - Retrying to install package lucidworks-hdpsearch after 30 seconds
2018-02-21 01:23:39,626 - The repository with version 2.6.4.0-91 for this command has been marked as resolved. It will be used to report the version of the component which was installed
2018-02-21 01:23:39,627 - Skipping stack-select on SOLR because it does not exist in the stack-select package structure.

Command failed after 1 tries
7 REPLIES 7

Re: Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

Super Mentor

@Fawn Nguyen

Have you referred to the following link: https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.6.4/bk_solr-search-installation/content/ch_hdp-...

cd /tmp
wget http://public-repo-1.hortonworks.com/HDP-SOLR/hdp-solr-ambari-mp/solr-service-mpack-2.2.8.tar.gz

Install the management pack on the Ambari Server host, using the following command:

# ambari-server install-mpack --mpack=/tmp/solr-service-mpack-2.2.8.tar.gz

.

Re: Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

New Contributor

@Jay Kumar SenSharma Yes, I have followed the steps on that link. When I run the "ambari-server install-mpack..." command, it errored out with the error "...the file already exists."

Re: Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

New Contributor

I ve got the same problem for a month. I have try hdp on vmware virtualbox and docker but got the same problem.

Seems that HDP sandbox quite sucks as i also try to install nifi from ambari but have another problem.

No hortonworks team is reading these posts in the community and we are trying to sovle problem by ourselves.

Re: Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

@Chuarkai Prohmpatarapant

The Sandbox is primarily intended to run through the tutorials to learn the basics around HDP with the components already installed. I haven't had a chance to test the HDP 2.6.4 sandbox myself. I'll try working on it to see if I can find a resolution to the issue you are seeing.

Re: Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

New Contributor

Michael, thank you very much. My company is using HDP now and I am exploring Solr and Nifi for log analytics but have been stuck for long time.

Highlighted

Re: Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

@Chuarkai Prohmpatarapant

If installing Solr and/or NiFi in the Sandbox is a blocker, I'd recommend installing both components separately. I have a number of articles on HCC where I show how to do that using Vagrant and Virtualbox. The core software is very similar and would allow you to move forward with the basics of your evaluation.

Here are a couple of articles that may be useful:

https://community.hortonworks.com/articles/59586/creating-a-3-node-nifi-cluster-using-vagrant-and-v.... (note that newer versions of NiFi use a master-less server configuration, so some of the configuration options in NiFi are no longer required).

https://community.hortonworks.com/articles/64476/how-to-setup-cross-data-center-replication-in-solr.... (this article is covering Cross Data Center Replication with Solr, but it shows you how to deploy Solr in VMs.

By the way, if you had a support contract that covered Solr and HDF (NiFi), a support ticket could have resolved these issues very quickly. As I said, I'm going to work on reproducing the problem and see if I can find a solution.

Re: Unable to install Solr via Ambari on HDP 2.6.4 Sandbox

New Contributor

Michael, appreciate your prompt and kindly help, i just try to make a quick evaluation on the feature of solr and nifi before proposing the installation to the real environment.

The nifi and solr tutorial were the ones that seems to answer my requirement.

I will go through the new info you just shared me and see how i can make it works.

Thanks a lot.